# upcloud_prov

## Index

- [Provision_env_upcloud](#provision_env_upcloud)
- [Provision_upcloud](#provision_upcloud)
- [ServerDefaults_upcloud](#serverdefaults_upcloud)
- [Server_upcloud](#server_upcloud)
- [Storage_backup_upcloud](#storage_backup_upcloud)
- [Storage_upcloud](#storage_upcloud)

## Schemas

### Provision_env_upcloud

UpCloud provision env data settings

#### Attributes

| name | type | description | default value |
| --- | --- | --- | --- |
|**zone**|str|||
### Provision_upcloud

UpCloud provision data settings

#### Attributes

| name | type | description | default value |
| --- | --- | --- | --- |
|**main** `required`|[Provision_env_upcloud](#provision_env_upcloud)|||
|**priv**|[Provision_env_upcloud](#provision_env_upcloud)|||
### ServerDefaults_upcloud

Upcloud Server Defaults settings

#### Attributes

| name | type | description | default value |
| --- | --- | --- | --- |
|**backup**|str|||
|**domains_search**|str|||
|**fix_local_hosts** `required`|bool||True|
|**group_id**|str|||
|**installer_user**|str||"${user}"|
|**labels** `required`|str||"{Key=cluster,Value=k8s}"|
|**liveness_ip**|str|||
|**liveness_port** `required`|int||22|
|**lock** `required`|bool||False|
|**main_domain**|str|||
|**network_private_id**|str|||
|**network_private_name**|str|||
|**network_public_ip**|str|||
|**network_public_ipv4**|bool||True|
|**network_public_ipv6**|bool||False|
|**network_utility_ipv4** `required`|bool||True|
|**network_utility_ipv6** `required`|bool||False|
|**not_use** `required`|bool||False|
|**plan**|str|||
|**primary_dns**|str|||
|**priv_cidr_block**|str|||
|**prov_settings** `required`|str||"defs/upcloud_data.k"|
|**prov_settings_clean** `required`|bool||False|
|**provider** `required` `readOnly`|"upcloud"||"upcloud"|
|**running_timeout** `required`|int||200|
|**running_wait** `required`|int||10|
|**scale**|[ScaleResource](#scaleresource)|||
|**secondary_dns**|str|||
|**ssh_key_name**|str|||
|**ssh_key_path**|str|||
|**storage_os**|str|||
|**storage_os_find** `required`|str||"name: debian-12 \| arch: x86_64"|
|**storages**|[[Storage_upcloud](#storage_upcloud)]|||
|**time_zone** `required`|str||"UTC"|
|**user** `required`|str||"root"|
|**user_home**|str||"/home/${user}"|
|**user_ssh_key_path**|str|||
|**user_ssh_port**|int||22|
|**zone**|str|||
### Server_upcloud

Upcloud server settings

#### Attributes

| name | type | description | default value |
| --- | --- | --- | --- |
|**backup**|str|||
|**clusters**|[[ClusterDef](#clusterdef)]|||
|**domains_search**|str|||
|**extra_hostnames**|[str]|||
|**fix_local_hosts** `required`|bool||True|
|**group_id**|str|||
|**hostname** `required`|str|||
|**installer_user**|str||"${user}"|
|**labels** `required`|str||"{Key=cluster,Value=k8s}"|
|**liveness_ip**|str|||
|**liveness_port** `required`|int||22|
|**lock** `required`|bool||False|
|**main_domain**|str|||
|**network_private_id**|str|||
|**network_private_ip**|str|||
|**network_private_name**|str|||
|**network_public_ip**|str|||
|**network_public_ipv4**|bool||True|
|**network_public_ipv6**|bool||False|
|**network_utility_ipv4** `required`|bool||True|
|**network_utility_ipv6** `required`|bool||False|
|**not_use** `required`|bool||False|
|**plan**|str|||
|**primary_dns**|str|||
|**priv_cidr_block**|str|||
|**prov_settings** `required`|str||"defs/upcloud_data.k"|
|**prov_settings_clean** `required`|bool||False|
|**provider** `required` `readOnly`|"upcloud"||"upcloud"|
|**running_timeout** `required`|int||200|
|**running_wait** `required`|int||10|
|**scale**|[ScaleResource](#scaleresource)|||
|**secondary_dns**|str|||
|**ssh_key_name**|str|||
|**ssh_key_path**|str|||
|**storage_os**|str|||
|**storage_os_find** `required`|str||"name: debian-12 \| arch: x86_64"|
|**storages**|[[Storage_upcloud](#storage_upcloud)]|||
|**taskservs**|[[TaskServDef](#taskservdef)]|||
|**time_zone** `required`|str||"UTC"|
|**title** `required`|str|||
|**user** `required`|str||"root"|
|**user_home**|str||"/home/${user}"|
|**user_ssh_key_path**|str|||
|**user_ssh_port**|int||22|
|**zone**|str|||
### Storage_backup_upcloud

Upcloud storage backup

#### Attributes

| name | type | description | default value |
| --- | --- | --- | --- |
|**interval** `required`|"daily" | "mon" | "tue" | "wed" | "thu" | "fri" | "sat" | "sun"||"daily"|
|**retention** `required`|int||7|
|**time** `required`|str|||
### Storage_upcloud

Upcloud storage settings

#### Attributes

| name | type | description | default value |
| --- | --- | --- | --- |
|**backup**|[Storage_backup_upcloud](#storage_backup_upcloud)|||
|**encrypt** `required`|bool||False|
|**fstab** `required`|bool||True|
|**labels** `required`|str||""|
|**mount** `required`|bool||True|
|**mount_path**|str|||
|**name** `required`|str|||
|**parts**|[[StorageVol](#storagevol)]||[]|
|**size** `required`|int||0|
|**total** `required`|int||size|
|**type** `required`|"ext4" | "xfs" | "btrfs" | "raw" | "zfs"||"ext4"|
|**volname** `required`|str||""|
|**voltype** `required`|"maxiops" | "hdd" | "custom"||"maxiops"|
<!-- Auto generated by kcl-doc tool, please do not edit. -->
